/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : Feb 3, 2014, 1:41:56 PM
    Author     : alo
*/

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(359deg);
    }
}

@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(359deg);
    }
}

.icon-spin {
    animation: 1.5s linear 0s normal none infinite spin;
    -webkit-animation: 1.5s linear 0s normal none infinite spin;
    display: inline-block;
}

i:active {
    background-color: #428bca;
}

.selectable-row:active {
    background-color: #428bca;
    color: white;
}

.popover {
    max-width: 800px;
    min-width: 250px;
}

.jqui-draggable.ui-draggable-dragging {
    color: black;
    background: yellow;
    font: bold;
    z-index: 1000;
}

.bperspective {
    display: none;
}

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu>.dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -6px;
    margin-left: -1px;
    -webkit-border-radius: 0 6px 6px 6px;
    -moz-border-radius: 0 6px 6px 6px;
    border-radius: 0 6px 6px 6px;
}

.dropdown-submenu:hover>.dropdown-menu {
    display: block;
}

.dropdown-submenu>a:after {
    display: block;
    content: " ";
    float: right;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
    border-width: 5px 0 5px 5px;
    border-left-color: #cccccc;
    margin-top: 5px;
    margin-right: -10px;
}

.dropdown-submenu:hover>a:after {
    border-left-color: #ffffff;
}

.dropdown-submenu .pull-left {
    float: none;
}

.dropdown-submenu.pull-left>.dropdown-menu {
    left: -100%;
    margin-left: 10px;
    -webkit-border-radius: 6px 0 6px 6px;
    -moz-border-radius: 6px 0 6px 6px;
    border-radius: 6px 0 6px 6px;
}

.unobtrusive-icon {
    color: #e3e3e3;
}

.unobtrusive-icon:hover {
    color: dodgerblue;
}

/* Tree CSS */
.tree li {
    margin: 0px 0;

    list-style-type: none;
    position: relative;
    padding: 20px 5px 0px 5px;
}

.tree li::before {
    content: '';
    position: absolute;
    top: 0;
    width: 1px;
    height: 100%;
    right: auto;
    left: -20px;
    border-left: 1px solid #ccc;
    bottom: 50px;
}

.tree li::after {
    content: '';
    position: absolute;
    top: 30px;
    width: 25px;
    height: 20px;
    right: auto;
    left: -20px;
    border-top: 1px solid #ccc;
}

.tree li a {
    display: inline-block;
    border: 1px solid #ccc;
    padding: 5px 10px;
    text-decoration: none;
    color: #666;
    font-family: arial, verdana, tahoma;
    font-size: 11px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
}

/*Remove connectors before root*/
.tree>ul>li::before,
.tree>ul>li::after {
    border: 0;
}

/*Remove connectors after last child*/
.tree li:last-child::before {
    height: 30px;
}

/*Hover effects*/
.tree li a:hover,
.tree li a:hover+ul li a {
    background: #c8e4f8;
    color: #000;
    border: 1px solid #94a0b4;
}

/*Connector styles on hover*/
.tree li a:hover+ul li::after,
.tree li a:hover+ul li::before,
.tree li a:hover+ul::before,
.tree li a:hover+ul ul::before {
    border-color: #94a0b4;
}

/* Clear Search */
.searchclear {
    position: absolute;
    right: 5px;
    top: 0;
    bottom: 0;
    height: 14px;
    margin: auto;
    font-size: 14px;
    cursor: pointer;
    color: #ccc;
}

.highlightEffectiveTime {
    border: 2px solid blue;
    border-style: dashed;
}

.menu-item-active {
    background-color: #99ccff;
}

.selectedRowBs {
    border: 2px solid rgba(82, 168, 236, .8);
}

.selectedRowLight {
    background-color: lightskyblue;
}

.divAsLink:hover {
    cursor: hand;
    cursor: pointer;
}

.selectedRowBlue {
    background-color: #337ab7;
}

.no-padding {
    padding: 0px;
}

/* Expressions language */

.expression-code {
    font-family: "Courier New", monospace;
    white-space: pre;
    /*background-color: #000000;*/
    font-weight: bold;
    font-size: 13px;
}

.exp-brackets {
    color: #3300aa;
}

.exp-operators {
    color: sienna;
}

.exp-pipes {
    color: #086d11;
}

.exp-term {
    color: #086d11;
}

.sct-drag-icon {
    background-color: orange;
    border-color: #E7D6B4;
    color: #8a6d3b;
}

.spelling-error {
    border-bottom: 2px dotted #ba0000;
}

div.textarea {
    width: 100%;
    font-size: 14px;
    line-height: 18px;
    background-color: white;
    min-height: 200px;
}

div.textarea.fixed {
    overflow-y: scroll;
    height: 200px;
}

pre {
    outline: 1px solid #ccc;
    padding: 5px;
    margin: 5px;
}

.string {
    color: green;
}

.number {
    color: darkorange;
}

.boolean {
    color: blue;
}

.null {
    color: magenta;
}

.key {
    color: red;
}

/* D3 styles */
/*.link {*/
/*stroke: #ccc;*/
/*}*/

/*.node text {*/
/*pointer-events: none;*/
/*font: 10px sans-serif;*/
/*}*/

/*circle {*/
/*stroke-width: 1.5px;*/
/*}*/

/*line {*/
/*stroke: #999;*/
/*stroke-width: 1.5px;*/
/*}*/

/*.node circle{*/
/*stroke: #34495e;*/
/*stroke-width: 2px;*/
/*box-sizing: border-box;*/
/*stroke-location: inside;*/
/*}*/

/*.node text {*/
/*font-size: 11px;*/
/*}*/

/*line.link {*/
/*fill: none;*/
/*stroke: #bbb;*/
/*stroke-width: 1.5px;*/
/*}*/

/*Dagre Styles*/
/* This sets the color for "TK" nodes to a light blue green. */
g.type-TK>rect {
    fill: #00ffd0;
}

/*text {*/
/*font-weight: 300;*/
/*font-family: "Helvetica Neue", Helvetica, Arial, sans-serf;*/
/*font-size: 14px;*/
/*}*/

.node rect {
    stroke: #999;
    fill: #fff;
    stroke-width: 1.5px;
}

.edgePath path {
    stroke: #333;
    stroke-width: 1.5px;
}

g.type-primitive>rect {
    fill: #99ccff;
}

g.type-defined>rect {
    fill: #ccccff;
}

/* this element needs tooltip positioning to work */
.graphviz-svg {
    position: relative;
}

/* stop tooltips wrapping */
.graphviz-svg .tooltip-inner {
    white-space: nowrap;
}

/* stop people selecting text on nodes */
.graphviz-svg text {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: default;
}

.explanation-ids {
    color: #ffbf00
}

.explanation-pipes {
    color: #e83f6f
}

.explanation-brackets {
    color: #2274a5
}

.explanation-symbol {
    color: #32936f
}

.CodeMirror-line {
    outline: none
}

.shortcut-highlight {
    background-color: yellow;
    color: black;
}

.tm-change {
    background-color: yellow;
    color: black;
}

/* Ticker classes */
@keyframes ticker {
    0% {
        margin-top: 0
    }

    25% {
        margin-top: -17%
    }

    50% {
        margin-top: -34%
    }

    75% {
        margin-top: -51%
    }

    100% {
        margin-top: 0
    }
}

.comments-ticker {
    height: 55px;
    margin: 0px auto;
    overflow: hidden;
    border-radius: 4px;
    padding: 3px;
    -webkit-user-select: none
}

.comments-ticker ul {
    float: left;
    padding-left: 5px;
    /*animation: ticker 20s cubic-bezier(1, 0, .5, 0) infinite;*/
    -webkit-user-select: none
}

.comments-ticker ul li {
    list-style: none
}

.notifyjs-foo-base {
    /*opacity: 0.85;*/
    /*width: 200px;*/
    /*background: #f5f5f5;*/
    /*padding: 5px;*/
    /*border-radius: 30px;*/
    /*border: solid 1px;*/
}

.notifyjs-foo-base .title {
    /*width: 100px;*/
    /*float: left;*/
    margin: 10px 0 0 10px;
    text-align: right;
}

.notifyjs-foo-base .buttons {
    /*width: 70px;*/
    /*float: right;*/
    font-size: 12px;
    padding: 5px;
    margin: 2px;
}

.notifyjs-foo-base button {
    font-size: 12px;
    padding: 5px;
    margin: 2px;
    width: 60px;
}

.axiomCHead.inactive {
    background-color: #f2dede !important;
    color: black !important;
}

.axiomCHead {
    /*.panel-primary.axiomC .panel-heading {*/
    background-color: rgb(153, 204, 255) !important;
    color: black !important;
}

.relTarget.inactive {
    background-color: #f2dede !important;
    color: black !important;
}

.relType.inactive {
    background-color: #f2dede !important;
    color: black !important;
}

.gciCHead.inactive {
    background-color: #f2dede !important;
    color: black !important;
}

.gciCHead {
    /*.panel-success.gciC .panel-heading {*/
    background-color: lightgreen !important;
    color: black !important;
}

.noPadding {
    padding: 0;
}

#rmenu.show {
    z-index: 1000;
    position: absolute;
    background-color: rgb(66, 139, 202);
    border: 1px solid rgb(66, 139, 202);
    padding: 2px;
    display: block;
    margin: 0;
    list-style-type: none;
    list-style: none;
    border-radius: 10px;
}

#rmenu.hide {
    display: none;
}

.databaseManagerBox {
    border-width: 3px;
    border-style: solid;
    border-radius: 10px;
    margin-bottom: 5px;
    background-color: #f5f5f5;
    border-color: #ddd;
    /* width: 90%; */
    height: -webkit-fill-available;
}

.databaseManagerBox button {
    margin: 10px;
}

.databaseManagerTitle {
    margin: 5px;
}

.databaseManagerInfo {
    margin: 10px;
    color: gray;
}

.accordionChevron {
    border: 0px;
    background-color: transparent;
}

.tableCAT {
    margin: 0px;
    border-collapse: collapse;
}

.tableCAT td, table th {
    border: 1px solid black;
}

.tableCAT tr:first-child td {
    border-top: 0;
}

.tableCAT tr:last-child td {
    border-bottom: 0;
}

.tableCAT tr td,
.tableCAT tr th {
    border-left: 0;
}

.tableCAT tr td,
.tableCAT tr th {
    border-right: 0;
}

.standard-table {
    border-collapse: collapse;
    width: 100%;
}

.standard-table th,
.standard-table td {
    border-top: none !important;
    border-left: none !important;
    border-right: none !important;
    padding: 8px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}

h4.collapsableTitle[data-toggle="collapse"]:after {
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\f054";
    transform: rotate(90deg);
    transition: all linear 0.25s;
    float: right;
}

h4.collapsableTitle[data-toggle="collapse"].collapsed:after {
    transform: rotate(270deg);
}

.batchPretranslationModalTable {
    margin-left: 1%;
    margin-right: 1%;
    border-width: 3px;
    border-style: solid;
    border-radius: 10px;
    margin-bottom: 5px;
    margin-top: 5px;
    background-color: #f5f5f5;
    border-color: #ddd;
    /* width: 90%; */
}


.batchPretranslationBox {
    margin-left: 1%;
    margin-right: 1%;
    border-width: 3px;
    border-style: solid;
    border-radius: 10px;
    margin-bottom: 5px;
    margin-top: 5px;
    background-color: #f5f5f5;
    border-color: #ddd;
    /* width: 90%; */
    height: -webkit-fill-available;
}

.batchPreTranslationStep {
    margin: 10px;
}

.batchPretranslationButton {
    /* float: right; */
    /* margin-right: 10px; */
    /* margin-top: 10px; */
    width: -webkit-fill-available;
}

.batchPreTranslationTable {
    border-collapse: separate;
}

.borderedRow {
    border-style: solid;
    border-color: orange;
    border-width: thin;
    border-radius: 10px;
}

.additionalFilters {
    padding: 10px;
    border-color: gray;
    border-style: solid;
    border-radius: 10px;
    border-width: thin;
    margin-top: 10px;
    margin-left: 10px;
    margin-right: 10px;
}

.batchPretranslationAdditionalFilters {
    padding: 5px;
    border-color: lightgray;
    border-style: solid;
    border-radius: 10px;
    border-width: thin;
    margin-top: 10px;
    margin-left: 10px;
    margin-right: 10px;
}

.batchPretranslationSelector {
    width: -webkit-fill-available;
    float: right;
    /* margin-right: 10px;
    margin-top: 10px; */
    padding-top: 2%;
    padding-left: 2%;
    border-color: lightgray;
    border-style: solid;
    border-radius: 10px;
    border-width: thin;
}

.batchPreTranslationDivider {
    margin-top: 5px;
    margin-bottom: 5px;
}

.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.browsableTable tr.descriptionRowInFocus {
    border:2px solid #ec971f !important;
    font-weight:bold;
    background-color: #ffbe2b38;
}

table.descriptionInfoTable {
    margin-top: 10px;
    border-collapse: separate !important;
    border: 2px solid gray;
    border-radius: 5px; 
    border-spacing: 0;
    width: 100%;
}

table.descriptionInfoTable td, 
table.descriptionInfoTable th { 
    border: 1px solid lightgray;
    padding: 10px; 
}

table.descriptionInfoTable tr:last-child > td {
    border-bottom: none;
}

.rotate90{
    transform : rotate(90deg);
}
.briefcase-container {
    display: flex; 
    width: 100%;
    justify-content: center;
}

.briefcase-button-container {
    padding: 0px 12px;
}

.briefcase-button-container:not(:last-child) {
    border-right: 1px solid #ddd;
}

.help-modal .bootbox-body {
    height: 85vh;
}

.healthFactorsBox {
    margin-left: 1%;
    margin-right: 1%;
    border-width: 3px;
    border-style: solid;
    border-radius: 5px;
    margin-bottom: 5px;
    margin-top: 5px;
    background-color: #f5f5f5;
    border-color: #ddd;
    /* width: 90%; */
    /* height: -webkit-fill-available; */
}

.healthFactorsTable {
    border-collapse: separate;
}

.healthFactorsTitle {
    margin: 5px;
}

.template-item {
    cursor: pointer;
}

.template-item:hover {
    background-color: orange;
}

.health-factor-item {
    cursor: pointer;
}

.health-factor-item:hover {
    background-color: darkturquoise;
}

.template-editor-toolbar {
    float: right;
}

.health-factor-editor-toolbar {
    float: right;
}
/*.comments-ticker ul:hover { animation-play-state: paused }*/

.jiraUpdateDialog .modal-dialog {
    width: 90%;
}

.btn-responsive {
    white-space: normal;
    word-wrap: break-word;
    font-size: 12px;
    padding: 6px 8px;
}

@media (max-width: 1200px) {
    .btn-responsive {
        font-size: 11px;
    }
}

@media (max-width: 992px) {
    .btn-responsive {
        font-size: 10px;
    }
}

.checkbox-responsive {
    display: flex;
    align-items: center;
    margin-bottom: 0; /* Remove default margin */
}

.checkbox-responsive input[type="checkbox"] {
    margin-right: 5px;
    margin-top: 0; /* Remove default top margin */
    vertical-align: middle; /* Align checkbox vertically */
}

.checkbox-responsive span {
    font-size: 12px;
    font-weight: bold;
    vertical-align: middle; /* Align label text vertically */
    line-height: 1; /* Adjust line height for better alignment */
}

@media (max-width: 1200px) {
    .checkbox-responsive span {
        font-size: 11px;
    }
}

@media (max-width: 992px) {
    .checkbox-responsive span {
        font-size: 10px;
    }
}